import{S as qt,i as Pt,s as Ht,e as t,k as p,w as u,t as h,M as It,c as n,d as s,m as c,a as r,x as g,h as f,b as i,N as Rt,f as Mt,G as a,g as o,y as m,L as Ot,q as d,o as w,B as v,v as Dt}from"../chunks/vendor-hf-doc-builder.js";import{I as P}from"../chunks/IconCopyLink-hf-doc-builder.js";import{C as Y}from"../chunks/CodeBlock-hf-doc-builder.js";function Bt(Ka){let $,Ze,y,Bs,Us,b,Ae,Ks,Ce,Js,E,Ja,Ls,Ws,Gs,zs,es,Q,ss,k,H,Fe,V,Ys,Ne,Qs,as,de,Vs,ts,I,R,we,Xs,Zs,X,ea,sa,aa,ve,ye,ta,na,ns,M,la,Te,ra,ia,ls,je,oa,rs,_e,pa,is,x,O,qe,Z,ca,Pe,ha,os,S,D,He,ee,fa,Ie,ua,ps,$e,ga,cs,se,hs,be,ma,fs,ae,us,A,B,Re,te,da,Me,wa,gs,j,va,ne,ya,ja,Oe,_a,$a,ms,le,ds,C,U,De,re,ba,Be,Ea,ws,K,ka,ie,xa,Sa,vs,F,J,Ue,oe,Aa,Ke,Ca,ys,pe,js,N,L,Je,ce,Fa,Le,Na,_s,he,$s,Ee,Ta,bs,T,W,We,fe,qa,Ge,Pa,Es,ue,ks,q,G,ze,ge,Ha,Ye,Ia,xs,me,Ss,_,Ra,Qe,Ma,Oa,Ve,Da,Ba,As;return Q=new Y({props:{code:`await inference.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await inference.textToImage({
  model: 'stabilityai/stable-diffusion-2',
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  parameters: {
    negative_prompt: 'blurry',
  }
})`,highlighted:`<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  }
})`}}),V=new P({}),Z=new P({}),ee=new P({}),se=new Y({props:{code:`npm install @huggingface/inference
npm install @huggingface/hub`,highlighted:`npm install @huggingface/inference
npm install @huggingface/hub`}}),ae=new Y({props:{code:`import { HfInference } from "@huggingface/inference";
import { createRepo, commit, deleteRepo, listFiles } from "@huggingface/hub";
import type { RepoId, Credentials } from "@huggingface/hub";`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;
<span class="hljs-keyword">import</span> { createRepo, commit, deleteRepo, listFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;
<span class="hljs-keyword">import</span> <span class="hljs-keyword">type</span> { <span class="hljs-title class_">RepoId</span>, <span class="hljs-title class_">Credentials</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;`}}),te=new P({}),le=new Y({props:{code:`
<script type="module">
    import { HfInference } from 'https://cdn.jsdelivr.net/npm/@huggingface/inference@2.0.0/+esm';
    import { createRepo, commit, deleteRepo, listFiles } from "https://cdn.jsdelivr.net/npm/@huggingface/hub@0.5.0/+esm";
<\/script>`,highlighted:`
<span class="hljs-tag">&lt;<span class="hljs-name">script</span> <span class="hljs-attr">type</span>=<span class="hljs-string">&quot;module&quot;</span>&gt;</span><span class="language-javascript">
    <span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;https://cdn.jsdelivr.net/npm/@huggingface/inference@2.0.0/+esm&#x27;</span>;
    <span class="hljs-keyword">import</span> { createRepo, commit, deleteRepo, listFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;https://cdn.jsdelivr.net/npm/@huggingface/hub@0.5.0/+esm&quot;</span>;
</span><span class="hljs-tag">&lt;/<span class="hljs-name">script</span>&gt;</span>`}}),re=new P({}),oe=new P({}),pe=new Y({props:{code:`import { HfInference } from "@huggingface/inference";

const HF_ACCESS_TOKEN = "hf_...";

const inference = new HfInference(HF_ACCESS_TOKEN);

await inference.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await inference.textToImage({
  model: 'stabilityai/stable-diffusion-2',
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  parameters: {
    negative_prompt: 'blurry',
  }
})

await inference.imageToText({
  data: await (await fetch('https://picsum.photos/300/300')).blob(),
  model: 'nlpconnect/vit-gpt2-image-captioning',  
})

// Using your own inference endpoint: https://hf.co/docs/inference-endpoints/
const gpt2 = inference.endpoint('https://xyz.eu-west-1.aws.endpoints.huggingface.cloud/gpt2');
const { generated_text } = await gpt2.textGeneration({inputs: 'The answer to the universe is'});`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;

<span class="hljs-keyword">const</span> <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span> = <span class="hljs-string">&quot;hf_...&quot;</span>;

<span class="hljs-keyword">const</span> inference = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>);

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  }
})

<span class="hljs-keyword">await</span> inference.<span class="hljs-title function_">imageToText</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-keyword">await</span> (<span class="hljs-keyword">await</span> <span class="hljs-title function_">fetch</span>(<span class="hljs-string">&#x27;https://picsum.photos/300/300&#x27;</span>)).<span class="hljs-title function_">blob</span>(),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;nlpconnect/vit-gpt2-image-captioning&#x27;</span>,  
})

<span class="hljs-comment">// Using your own inference endpoint: https://hf.co/docs/inference-endpoints/</span>
<span class="hljs-keyword">const</span> gpt2 = inference.<span class="hljs-title function_">endpoint</span>(<span class="hljs-string">&#x27;https://xyz.eu-west-1.aws.endpoints.huggingface.cloud/gpt2&#x27;</span>);
<span class="hljs-keyword">const</span> { generated_text } = <span class="hljs-keyword">await</span> gpt2.<span class="hljs-title function_">textGeneration</span>({<span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>});`}}),ce=new P({}),he=new Y({props:{code:`import { createRepo, uploadFile, deleteFiles } from "@huggingface/hub";

const HF_ACCESS_TOKEN = "hf_...";

await createRepo({
  repo: "my-user/nlp-model", // or {type: "model", name: "my-user/nlp-test"},
  credentials: {accessToken: HF_ACCESS_TOKEN}
});

await uploadFile({
  repo: "my-user/nlp-model",
  credentials: {accessToken: HF_ACCESS_TOKEN},
  // Can work with native File in browsers
  file: {
    path: "pytorch_model.bin",
    content: new Blob(...) 
  }
});

await deleteFiles({
  repo: {type: "space", name: "my-user/my-space"}, // or "spaces/my-user/my-space"
  credentials: {accessToken: HF_ACCESS_TOKEN},
  paths: ["README.md", ".gitattributes"]
});`,highlighted:`<span class="hljs-keyword">import</span> { createRepo, uploadFile, deleteFiles } <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/hub&quot;</span>;

<span class="hljs-keyword">const</span> <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span> = <span class="hljs-string">&quot;hf_...&quot;</span>;

<span class="hljs-keyword">await</span> <span class="hljs-title function_">createRepo</span>({
  <span class="hljs-attr">repo</span>: <span class="hljs-string">&quot;my-user/nlp-model&quot;</span>, <span class="hljs-comment">// or {type: &quot;model&quot;, name: &quot;my-user/nlp-test&quot;},</span>
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>}
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">uploadFile</span>({
  <span class="hljs-attr">repo</span>: <span class="hljs-string">&quot;my-user/nlp-model&quot;</span>,
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-comment">// Can work with native File in browsers</span>
  <span class="hljs-attr">file</span>: {
    <span class="hljs-attr">path</span>: <span class="hljs-string">&quot;pytorch_model.bin&quot;</span>,
    <span class="hljs-attr">content</span>: <span class="hljs-keyword">new</span> <span class="hljs-title class_">Blob</span>(...) 
  }
});

<span class="hljs-keyword">await</span> <span class="hljs-title function_">deleteFiles</span>({
  <span class="hljs-attr">repo</span>: {<span class="hljs-attr">type</span>: <span class="hljs-string">&quot;space&quot;</span>, <span class="hljs-attr">name</span>: <span class="hljs-string">&quot;my-user/my-space&quot;</span>}, <span class="hljs-comment">// or &quot;spaces/my-user/my-space&quot;</span>
  <span class="hljs-attr">credentials</span>: {<span class="hljs-attr">accessToken</span>: <span class="hljs-variable constant_">HF_ACCESS_TOKEN</span>},
  <span class="hljs-attr">paths</span>: [<span class="hljs-string">&quot;README.md&quot;</span>, <span class="hljs-string">&quot;.gitattributes&quot;</span>]
});`}}),fe=new P({}),ue=new Y({props:{code:`pnpm install

pnpm -r format:check
pnpm -r lint:check
pnpm -r test`,highlighted:`pnpm install

pnpm -r format:check
pnpm -r lint:check
pnpm -r test`}}),ge=new P({}),me=new Y({props:{code:"pnpm -r build",highlighted:'<span class="hljs-attribute">pnpm -r build</span>'}}),{c(){$=t("meta"),Ze=p(),y=t("p"),Bs=t("br"),Us=p(),b=t("picture"),Ae=t("source"),Ks=p(),Ce=t("source"),Js=p(),E=t("img"),Ls=p(),Ws=t("br"),Gs=p(),zs=t("br"),es=p(),u(Q.$$.fragment),ss=p(),k=t("h1"),H=t("a"),Fe=t("span"),u(V.$$.fragment),Ys=p(),Ne=t("span"),Qs=h("Hugging Face JS libraries"),as=p(),de=t("p"),Vs=h("This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),ts=p(),I=t("ul"),R=t("li"),we=t("a"),Xs=h("@huggingface/inference"),Zs=h(": Use the Inference API to make calls to 100,000+ Machine Learning models, or your own "),X=t("a"),ea=h("inference endpoints"),sa=h("!"),aa=p(),ve=t("li"),ye=t("a"),ta=h("@huggingface/hub"),na=h(": Interact with huggingface.co to create or delete repos and commit / download files"),ns=p(),M=t("p"),la=h("With more to come, like "),Te=t("code"),ra=h("@huggingface/endpoints"),ia=h(" to manage your HF Endpoints!"),ls=p(),je=t("p"),oa=h("We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),rs=p(),_e=t("p"),pa=h("The libraries are still very young, please help us by opening issues!"),is=p(),x=t("h2"),O=t("a"),qe=t("span"),u(Z.$$.fragment),ca=p(),Pe=t("span"),ha=h("Installation"),os=p(),S=t("h3"),D=t("a"),He=t("span"),u(ee.$$.fragment),fa=p(),Ie=t("span"),ua=h("From NPM"),ps=p(),$e=t("p"),ga=h("To install via NPM, you can download the libraries as needed:"),cs=p(),u(se.$$.fragment),hs=p(),be=t("p"),ma=h("Then import the libraries in your code:"),fs=p(),u(ae.$$.fragment),us=p(),A=t("h3"),B=t("a"),Re=t("span"),u(te.$$.fragment),da=p(),Me=t("span"),wa=h("From CDN or Static hosting"),gs=p(),j=t("p"),va=h("You can run our packages with vanilla JS, without any bundler, by using a CDN or static hosting. Using "),ne=t("a"),ya=h("ES modules"),ja=h(", i.e. "),Oe=t("code"),_a=h('<script type="module">'),$a=h(", you can import the libraries in your code:"),ms=p(),u(le.$$.fragment),ds=p(),C=t("h2"),U=t("a"),De=t("span"),u(re.$$.fragment),ba=p(),Be=t("span"),Ea=h("Usage examples"),ws=p(),K=t("p"),ka=h("Get your HF access token in your "),ie=t("a"),xa=h("account settings"),Sa=h("."),vs=p(),F=t("h3"),J=t("a"),Ue=t("span"),u(oe.$$.fragment),Aa=p(),Ke=t("span"),Ca=h("@huggingface/inference examples"),ys=p(),u(pe.$$.fragment),js=p(),N=t("h3"),L=t("a"),Je=t("span"),u(ce.$$.fragment),Fa=p(),Le=t("span"),Na=h("@huggingface/hub examples"),_s=p(),u(he.$$.fragment),$s=p(),Ee=t("p"),Ta=h("There are more features of course, check each library\u2019s README!"),bs=p(),T=t("h2"),W=t("a"),We=t("span"),u(fe.$$.fragment),qa=p(),Ge=t("span"),Pa=h("Formatting & testing"),Es=p(),u(ue.$$.fragment),ks=p(),q=t("h2"),G=t("a"),ze=t("span"),u(ge.$$.fragment),Ha=p(),Ye=t("span"),Ia=h("Building"),xs=p(),u(me.$$.fragment),Ss=p(),_=t("p"),Ra=h("This will generate ESM and CJS javascript files in "),Qe=t("code"),Ma=h("packages/*/dist"),Oa=h(", eg "),Ve=t("code"),Da=h("packages/inference/dist/index.mjs"),Ba=h("."),this.h()},l(e){const l=It('[data-svelte="svelte-1phssyn"]',document.head);$=n(l,"META",{name:!0,content:!0}),l.forEach(s),Ze=c(e),y=n(e,"P",{align:!0});var z=r(y);Bs=n(z,"BR",{}),Us=c(z),b=n(z,"PICTURE",{});var ke=r(b);Ae=n(ke,"SOURCE",{media:!0,srcset:!0}),Ks=c(ke),Ce=n(ke,"SOURCE",{media:!0,srcset:!0}),Js=c(ke),E=n(ke,"IMG",{alt:!0,src:!0,width:!0,height:!0,style:!0}),ke.forEach(s),Ls=c(z),Ws=n(z,"BR",{}),Gs=c(z),zs=n(z,"BR",{}),z.forEach(s),es=c(e),g(Q.$$.fragment,e),ss=c(e),k=n(e,"H1",{class:!0});var Cs=r(k);H=n(Cs,"A",{id:!0,class:!0,href:!0});var La=r(H);Fe=n(La,"SPAN",{});var Wa=r(Fe);g(V.$$.fragment,Wa),Wa.forEach(s),La.forEach(s),Ys=c(Cs),Ne=n(Cs,"SPAN",{});var Ga=r(Ne);Qs=f(Ga,"Hugging Face JS libraries"),Ga.forEach(s),Cs.forEach(s),as=c(e),de=n(e,"P",{});var za=r(de);Vs=f(za,"This is a collection of JS libraries to interact with the Hugging Face API, with TS types included."),za.forEach(s),ts=c(e),I=n(e,"UL",{});var Fs=r(I);R=n(Fs,"LI",{});var Xe=r(R);we=n(Xe,"A",{href:!0});var Ya=r(we);Xs=f(Ya,"@huggingface/inference"),Ya.forEach(s),Zs=f(Xe,": Use the Inference API to make calls to 100,000+ Machine Learning models, or your own "),X=n(Xe,"A",{href:!0,rel:!0});var Qa=r(X);ea=f(Qa,"inference endpoints"),Qa.forEach(s),sa=f(Xe,"!"),Xe.forEach(s),aa=c(Fs),ve=n(Fs,"LI",{});var Ua=r(ve);ye=n(Ua,"A",{href:!0});var Va=r(ye);ta=f(Va,"@huggingface/hub"),Va.forEach(s),na=f(Ua,": Interact with huggingface.co to create or delete repos and commit / download files"),Ua.forEach(s),Fs.forEach(s),ns=c(e),M=n(e,"P",{});var Ns=r(M);la=f(Ns,"With more to come, like "),Te=n(Ns,"CODE",{});var Xa=r(Te);ra=f(Xa,"@huggingface/endpoints"),Xa.forEach(s),ia=f(Ns," to manage your HF Endpoints!"),Ns.forEach(s),ls=c(e),je=n(e,"P",{});var Za=r(je);oa=f(Za,"We use modern features to avoid polyfills and dependencies, so the libraries will only work on modern browsers / Node.js >= 18 / Bun / Deno."),Za.forEach(s),rs=c(e),_e=n(e,"P",{});var et=r(_e);pa=f(et,"The libraries are still very young, please help us by opening issues!"),et.forEach(s),is=c(e),x=n(e,"H2",{class:!0});var Ts=r(x);O=n(Ts,"A",{id:!0,class:!0,href:!0});var st=r(O);qe=n(st,"SPAN",{});var at=r(qe);g(Z.$$.fragment,at),at.forEach(s),st.forEach(s),ca=c(Ts),Pe=n(Ts,"SPAN",{});var tt=r(Pe);ha=f(tt,"Installation"),tt.forEach(s),Ts.forEach(s),os=c(e),S=n(e,"H3",{class:!0});var qs=r(S);D=n(qs,"A",{id:!0,class:!0,href:!0});var nt=r(D);He=n(nt,"SPAN",{});var lt=r(He);g(ee.$$.fragment,lt),lt.forEach(s),nt.forEach(s),fa=c(qs),Ie=n(qs,"SPAN",{});var rt=r(Ie);ua=f(rt,"From NPM"),rt.forEach(s),qs.forEach(s),ps=c(e),$e=n(e,"P",{});var it=r($e);ga=f(it,"To install via NPM, you can download the libraries as needed:"),it.forEach(s),cs=c(e),g(se.$$.fragment,e),hs=c(e),be=n(e,"P",{});var ot=r(be);ma=f(ot,"Then import the libraries in your code:"),ot.forEach(s),fs=c(e),g(ae.$$.fragment,e),us=c(e),A=n(e,"H3",{class:!0});var Ps=r(A);B=n(Ps,"A",{id:!0,class:!0,href:!0});var pt=r(B);Re=n(pt,"SPAN",{});var ct=r(Re);g(te.$$.fragment,ct),ct.forEach(s),pt.forEach(s),da=c(Ps),Me=n(Ps,"SPAN",{});var ht=r(Me);wa=f(ht,"From CDN or Static hosting"),ht.forEach(s),Ps.forEach(s),gs=c(e),j=n(e,"P",{});var xe=r(j);va=f(xe,"You can run our packages with vanilla JS, without any bundler, by using a CDN or static hosting. Using "),ne=n(xe,"A",{href:!0,rel:!0});var ft=r(ne);ya=f(ft,"ES modules"),ft.forEach(s),ja=f(xe,", i.e. "),Oe=n(xe,"CODE",{});var ut=r(Oe);_a=f(ut,'<script type="module">'),ut.forEach(s),$a=f(xe,", you can import the libraries in your code:"),xe.forEach(s),ms=c(e),g(le.$$.fragment,e),ds=c(e),C=n(e,"H2",{class:!0});var Hs=r(C);U=n(Hs,"A",{id:!0,class:!0,href:!0});var gt=r(U);De=n(gt,"SPAN",{});var mt=r(De);g(re.$$.fragment,mt),mt.forEach(s),gt.forEach(s),ba=c(Hs),Be=n(Hs,"SPAN",{});var dt=r(Be);Ea=f(dt,"Usage examples"),dt.forEach(s),Hs.forEach(s),ws=c(e),K=n(e,"P",{});var Is=r(K);ka=f(Is,"Get your HF access token in your "),ie=n(Is,"A",{href:!0,rel:!0});var wt=r(ie);xa=f(wt,"account settings"),wt.forEach(s),Sa=f(Is,"."),Is.forEach(s),vs=c(e),F=n(e,"H3",{class:!0});var Rs=r(F);J=n(Rs,"A",{id:!0,class:!0,href:!0});var vt=r(J);Ue=n(vt,"SPAN",{});var yt=r(Ue);g(oe.$$.fragment,yt),yt.forEach(s),vt.forEach(s),Aa=c(Rs),Ke=n(Rs,"SPAN",{});var jt=r(Ke);Ca=f(jt,"@huggingface/inference examples"),jt.forEach(s),Rs.forEach(s),ys=c(e),g(pe.$$.fragment,e),js=c(e),N=n(e,"H3",{class:!0});var Ms=r(N);L=n(Ms,"A",{id:!0,class:!0,href:!0});var _t=r(L);Je=n(_t,"SPAN",{});var $t=r(Je);g(ce.$$.fragment,$t),$t.forEach(s),_t.forEach(s),Fa=c(Ms),Le=n(Ms,"SPAN",{});var bt=r(Le);Na=f(bt,"@huggingface/hub examples"),bt.forEach(s),Ms.forEach(s),_s=c(e),g(he.$$.fragment,e),$s=c(e),Ee=n(e,"P",{});var Et=r(Ee);Ta=f(Et,"There are more features of course, check each library\u2019s README!"),Et.forEach(s),bs=c(e),T=n(e,"H2",{class:!0});var Os=r(T);W=n(Os,"A",{id:!0,class:!0,href:!0});var kt=r(W);We=n(kt,"SPAN",{});var xt=r(We);g(fe.$$.fragment,xt),xt.forEach(s),kt.forEach(s),qa=c(Os),Ge=n(Os,"SPAN",{});var St=r(Ge);Pa=f(St,"Formatting & testing"),St.forEach(s),Os.forEach(s),Es=c(e),g(ue.$$.fragment,e),ks=c(e),q=n(e,"H2",{class:!0});var Ds=r(q);G=n(Ds,"A",{id:!0,class:!0,href:!0});var At=r(G);ze=n(At,"SPAN",{});var Ct=r(ze);g(ge.$$.fragment,Ct),Ct.forEach(s),At.forEach(s),Ha=c(Ds),Ye=n(Ds,"SPAN",{});var Ft=r(Ye);Ia=f(Ft,"Building"),Ft.forEach(s),Ds.forEach(s),xs=c(e),g(me.$$.fragment,e),Ss=c(e),_=n(e,"P",{});var Se=r(_);Ra=f(Se,"This will generate ESM and CJS javascript files in "),Qe=n(Se,"CODE",{});var Nt=r(Qe);Ma=f(Nt,"packages/*/dist"),Nt.forEach(s),Oa=f(Se,", eg "),Ve=n(Se,"CODE",{});var Tt=r(Ve);Da=f(Tt,"packages/inference/dist/index.mjs"),Tt.forEach(s),Ba=f(Se,"."),Se.forEach(s),this.h()},h(){i($,"name","hf:doc:metadata"),i($,"content",JSON.stringify(Ut)),i(Ae,"media","(prefers-color-scheme: dark)"),i(Ae,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-dark.svg"),i(Ce,"media","(prefers-color-scheme: light)"),i(Ce,"srcset","https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg"),i(E,"alt","huggingface javascript library logo"),Rt(E.src,Ja="https://huggingface.co/datasets/huggingface/documentation-images/raw/main/huggingfacejs-light.svg")||i(E,"src",Ja),i(E,"width","376"),i(E,"height","59"),Mt(E,"max-width","100%"),i(y,"align","center"),i(H,"id","hugging-face-js-libraries"),i(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(H,"href","#hugging-face-js-libraries"),i(k,"class","relative group"),i(we,"href","inference/README"),i(X,"href","https://hf.co/docs/inference-endpoints/"),i(X,"rel","nofollow"),i(ye,"href","hub/README"),i(O,"id","installation"),i(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(O,"href","#installation"),i(x,"class","relative group"),i(D,"id","from-npm"),i(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(D,"href","#from-npm"),i(S,"class","relative group"),i(B,"id","from-cdn-or-static-hosting"),i(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(B,"href","#from-cdn-or-static-hosting"),i(A,"class","relative group"),i(ne,"href","https://hacks.mozilla.org/2018/03/es-modules-a-cartoon-deep-dive/"),i(ne,"rel","nofollow"),i(U,"id","usage-examples"),i(U,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(U,"href","#usage-examples"),i(C,"class","relative group"),i(ie,"href","https://huggingface.co/settings/tokens"),i(ie,"rel","nofollow"),i(J,"id","huggingfaceinference-examples"),i(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(J,"href","#huggingfaceinference-examples"),i(F,"class","relative group"),i(L,"id","huggingfacehub-examples"),i(L,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(L,"href","#huggingfacehub-examples"),i(N,"class","relative group"),i(W,"id","formatting-testing"),i(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(W,"href","#formatting-testing"),i(T,"class","relative group"),i(G,"id","building"),i(G,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),i(G,"href","#building"),i(q,"class","relative group")},m(e,l){a(document.head,$),o(e,Ze,l),o(e,y,l),a(y,Bs),a(y,Us),a(y,b),a(b,Ae),a(b,Ks),a(b,Ce),a(b,Js),a(b,E),a(y,Ls),a(y,Ws),a(y,Gs),a(y,zs),o(e,es,l),m(Q,e,l),o(e,ss,l),o(e,k,l),a(k,H),a(H,Fe),m(V,Fe,null),a(k,Ys),a(k,Ne),a(Ne,Qs),o(e,as,l),o(e,de,l),a(de,Vs),o(e,ts,l),o(e,I,l),a(I,R),a(R,we),a(we,Xs),a(R,Zs),a(R,X),a(X,ea),a(R,sa),a(I,aa),a(I,ve),a(ve,ye),a(ye,ta),a(ve,na),o(e,ns,l),o(e,M,l),a(M,la),a(M,Te),a(Te,ra),a(M,ia),o(e,ls,l),o(e,je,l),a(je,oa),o(e,rs,l),o(e,_e,l),a(_e,pa),o(e,is,l),o(e,x,l),a(x,O),a(O,qe),m(Z,qe,null),a(x,ca),a(x,Pe),a(Pe,ha),o(e,os,l),o(e,S,l),a(S,D),a(D,He),m(ee,He,null),a(S,fa),a(S,Ie),a(Ie,ua),o(e,ps,l),o(e,$e,l),a($e,ga),o(e,cs,l),m(se,e,l),o(e,hs,l),o(e,be,l),a(be,ma),o(e,fs,l),m(ae,e,l),o(e,us,l),o(e,A,l),a(A,B),a(B,Re),m(te,Re,null),a(A,da),a(A,Me),a(Me,wa),o(e,gs,l),o(e,j,l),a(j,va),a(j,ne),a(ne,ya),a(j,ja),a(j,Oe),a(Oe,_a),a(j,$a),o(e,ms,l),m(le,e,l),o(e,ds,l),o(e,C,l),a(C,U),a(U,De),m(re,De,null),a(C,ba),a(C,Be),a(Be,Ea),o(e,ws,l),o(e,K,l),a(K,ka),a(K,ie),a(ie,xa),a(K,Sa),o(e,vs,l),o(e,F,l),a(F,J),a(J,Ue),m(oe,Ue,null),a(F,Aa),a(F,Ke),a(Ke,Ca),o(e,ys,l),m(pe,e,l),o(e,js,l),o(e,N,l),a(N,L),a(L,Je),m(ce,Je,null),a(N,Fa),a(N,Le),a(Le,Na),o(e,_s,l),m(he,e,l),o(e,$s,l),o(e,Ee,l),a(Ee,Ta),o(e,bs,l),o(e,T,l),a(T,W),a(W,We),m(fe,We,null),a(T,qa),a(T,Ge),a(Ge,Pa),o(e,Es,l),m(ue,e,l),o(e,ks,l),o(e,q,l),a(q,G),a(G,ze),m(ge,ze,null),a(q,Ha),a(q,Ye),a(Ye,Ia),o(e,xs,l),m(me,e,l),o(e,Ss,l),o(e,_,l),a(_,Ra),a(_,Qe),a(Qe,Ma),a(_,Oa),a(_,Ve),a(Ve,Da),a(_,Ba),As=!0},p:Ot,i(e){As||(d(Q.$$.fragment,e),d(V.$$.fragment,e),d(Z.$$.fragment,e),d(ee.$$.fragment,e),d(se.$$.fragment,e),d(ae.$$.fragment,e),d(te.$$.fragment,e),d(le.$$.fragment,e),d(re.$$.fragment,e),d(oe.$$.fragment,e),d(pe.$$.fragment,e),d(ce.$$.fragment,e),d(he.$$.fragment,e),d(fe.$$.fragment,e),d(ue.$$.fragment,e),d(ge.$$.fragment,e),d(me.$$.fragment,e),As=!0)},o(e){w(Q.$$.fragment,e),w(V.$$.fragment,e),w(Z.$$.fragment,e),w(ee.$$.fragment,e),w(se.$$.fragment,e),w(ae.$$.fragment,e),w(te.$$.fragment,e),w(le.$$.fragment,e),w(re.$$.fragment,e),w(oe.$$.fragment,e),w(pe.$$.fragment,e),w(ce.$$.fragment,e),w(he.$$.fragment,e),w(fe.$$.fragment,e),w(ue.$$.fragment,e),w(ge.$$.fragment,e),w(me.$$.fragment,e),As=!1},d(e){s($),e&&s(Ze),e&&s(y),e&&s(es),v(Q,e),e&&s(ss),e&&s(k),v(V),e&&s(as),e&&s(de),e&&s(ts),e&&s(I),e&&s(ns),e&&s(M),e&&s(ls),e&&s(je),e&&s(rs),e&&s(_e),e&&s(is),e&&s(x),v(Z),e&&s(os),e&&s(S),v(ee),e&&s(ps),e&&s($e),e&&s(cs),v(se,e),e&&s(hs),e&&s(be),e&&s(fs),v(ae,e),e&&s(us),e&&s(A),v(te),e&&s(gs),e&&s(j),e&&s(ms),v(le,e),e&&s(ds),e&&s(C),v(re),e&&s(ws),e&&s(K),e&&s(vs),e&&s(F),v(oe),e&&s(ys),v(pe,e),e&&s(js),e&&s(N),v(ce),e&&s(_s),v(he,e),e&&s($s),e&&s(Ee),e&&s(bs),e&&s(T),v(fe),e&&s(Es),v(ue,e),e&&s(ks),e&&s(q),v(ge),e&&s(xs),v(me,e),e&&s(Ss),e&&s(_)}}}const Ut={local:"hugging-face-js-libraries",sections:[{local:"installation",sections:[{local:"from-npm",title:"From NPM"},{local:"from-cdn-or-static-hosting",title:"From CDN or Static hosting"}],title:"Installation"},{local:"usage-examples",sections:[{local:"huggingfaceinference-examples",title:"@huggingface/inference examples"},{local:"huggingfacehub-examples",title:"@huggingface/hub examples"}],title:"Usage examples"},{local:"formatting-testing",title:"Formatting & testing"},{local:"building",title:"Building"}],title:"Hugging Face JS libraries"};function Kt(Ka){return Dt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Gt extends qt{constructor($){super();Pt(this,$,Kt,Bt,Ht,{})}}export{Gt as default,Ut as metadata};
