import{S as _l,i as $l,s as El,e as a,k as c,w as m,t as i,M as Il,c as n,d as t,m as h,a as r,x as w,h as o,b as l,G as e,g as u,y as x,L as Tl,q as y,o as j,B as v,v as Pl}from"../../chunks/vendor-hf-doc-builder.js";import{I as b}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{C as It}from"../../chunks/CodeBlock-hf-doc-builder.js";function Sl(An){let T,Ge,P,R,ge,ss,Tt,me,Pt,Re,_,St,es,At,Nt,ts,qt,Ct,ze,$,Lt,as,Ft,Ht,ns,Ut,Mt,De,S,z,we,ls,Gt,xe,Rt,We,rs,Be,A,D,ye,is,zt,je,Dt,Je,k,Wt,ve,Bt,Jt,os,Ot,Yt,ps,Vt,Kt,ke,Qt,Zt,Oe,Ds,Xt,Ye,N,W,be,cs,sa,_e,ea,Ve,hs,Ke,q,B,$e,us,ta,Ee,aa,Qe,C,J,Ie,fs,na,Te,la,Ze,f,ds,Ws,ra,ia,gs,Bs,oa,pa,ms,Js,ca,ha,ws,Os,ua,fa,xs,Ys,da,ga,ys,Vs,ma,wa,js,Ks,xa,ya,vs,Qs,ja,va,ks,Zs,ka,ba,bs,Xs,_a,$a,_s,se,Ea,Ia,$s,ee,Ta,Pa,Es,te,Sa,Aa,Is,ae,Na,Xe,L,O,Pe,Ts,qa,Se,Ca,st,F,Ps,ne,La,Fa,Ss,le,Ha,et,H,Y,Ae,As,Ua,Ne,Ma,tt,g,Ns,re,Ga,Ra,qs,ie,za,Da,Cs,oe,Wa,Ba,Ls,pe,Ja,Oa,Fs,ce,Ya,at,U,V,qe,Hs,Va,Ce,Ka,nt,K,Qa,Le,Za,Xa,lt,Us,rt,he,sn,it,M,Q,Fe,Ms,en,He,tn,ot,Gs,pt,G,Z,Ue,Rs,an,Me,nn,ct,X,ln,zs,rn,on,ht,ue,pn,ut;return ss=new b({}),ls=new b({}),rs=new It({props:{code:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`,highlighted:`npm install @huggingface/inference

yarn add @huggingface/inference

pnpm add @huggingface/inference`}}),is=new b({}),cs=new b({}),hs=new It({props:{code:`import { HfInference } from '@huggingface/inference'

const hf = new HfInference('your access token')

// Natural Language

await hf.fillMask({
  model: 'bert-base-uncased',
  inputs: '[MASK] world!'
})

await hf.summarization({
  model: 'facebook/bart-large-cnn',
  inputs:
    'The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.',
  parameters: {
    max_length: 100
  }
})

await hf.questionAnswering({
  model: 'deepset/roberta-base-squad2',
  inputs: {
    question: 'What is the capital of France?',
    context: 'The capital of France is Paris.'
  }
})

await hf.tableQuestionAnswering({
  model: 'google/tapas-base-finetuned-wtq',
  inputs: {
    query: 'How many stars does the transformers repository have?',
    table: {
      Repository: ['Transformers', 'Datasets', 'Tokenizers'],
      Stars: ['36542', '4512', '3934'],
      Contributors: ['651', '77', '34'],
      'Programming language': ['Python', 'Python', 'Rust, Python and NodeJS']
    }
  }
})

await hf.textClassification({
  model: 'distilbert-base-uncased-finetuned-sst-2-english',
  inputs: 'I like you. I love you.'
})

await hf.textGeneration({
  model: 'gpt2',
  inputs: 'The answer to the universe is'
})

for await (const output of hf.textGenerationStream({
  model: "google/flan-t5-xxl",
  inputs: 'repeat "one two three four"',
  parameters: { max_new_tokens: 250 }
})) {
  console.log(output.token.text, output.generated_text);
}

await hf.tokenClassification({
  model: 'dbmdz/bert-large-cased-finetuned-conll03-english',
  inputs: 'My name is Sarah Jessica Parker but you can call me Jessica'
})

await hf.translation({
  model: 't5-base',
  inputs: 'My name is Wolfgang and I live in Berlin'
})

await hf.zeroShotClassification({
  model: 'facebook/bart-large-mnli',
  inputs: [
    'Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!'
  ],
  parameters: { candidate_labels: ['refund', 'legal', 'faq'] }
})

await hf.conversational({
  model: 'microsoft/DialoGPT-large',
  inputs: {
    past_user_inputs: ['Which movie is the best ?'],
    generated_responses: ['It is Die Hard for sure.'],
    text: 'Can you explain why ?'
  }
})

await hf.sentenceSimilarity({
  model: 'sentence-transformers/paraphrase-xlm-r-multilingual-v1',
  inputs: {
    source_sentence: 'That is a happy person',
    sentences: [
      'That is a happy dog',
      'That is a very happy person',
      'Today is a sunny day'
    ]
  }
})

await hf.featureExtraction({
    model: "sentence-transformers/distilbert-base-nli-mean-tokens",
    inputs: "That is a happy person",
});

// Audio

await hf.automaticSpeechRecognition({
  model: 'facebook/wav2vec2-large-960h-lv60-self',
  data: readFileSync('test/sample1.flac')
})

await hf.audioClassification({
  model: 'superb/hubert-large-superb-er',
  data: readFileSync('test/sample1.flac')
})

// Computer Vision

await hf.imageClassification({
  data: readFileSync('test/cheetah.png'),
  model: 'google/vit-base-patch16-224'
})

await hf.objectDetection({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50'
})

await hf.imageSegmentation({
  data: readFileSync('test/cats.png'),
  model: 'facebook/detr-resnet-50-panoptic'
})

await hf.textToImage({
  inputs: 'award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]',
  model: 'stabilityai/stable-diffusion-2',
  parameters: {
    negative_prompt: 'blurry',
  }
})

await hf.imageToText({
  data: readFileSync('test/cats.png'),
  model: 'nlpconnect/vit-gpt2-image-captioning'
})

// Custom call, for models with custom parameters / outputs
await hf.request({
  model: 'my-custom-model',
  inputs: 'hello world',
  parameters: {
    custom_param: 'some magic',
  }
})

// Custom streaming call, for models with custom parameters / outputs
for await (const output of hf.streamingRequest({
  model: 'my-custom-model',
  inputs: 'hello world',
  parameters: {
    custom_param: 'some magic',
  }
})) {
  ...
}

// Using your own inference endpoint: https://hf.co/docs/inference-endpoints/
const gpt2 = hf.endpoint('https://xyz.eu-west-1.aws.endpoints.huggingface.cloud/gpt2');
const { generated_text } = await gpt2.textGeneration({inputs: 'The answer to the universe is'});`,highlighted:`<span class="hljs-keyword">import</span> { <span class="hljs-title class_">HfInference</span> } <span class="hljs-keyword">from</span> <span class="hljs-string">&#x27;@huggingface/inference&#x27;</span>

<span class="hljs-keyword">const</span> hf = <span class="hljs-keyword">new</span> <span class="hljs-title class_">HfInference</span>(<span class="hljs-string">&#x27;your access token&#x27;</span>)

<span class="hljs-comment">// Natural Language</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">fillMask</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;bert-base-uncased&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;[MASK] world!&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">summarization</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-cnn&#x27;</span>,
  <span class="hljs-attr">inputs</span>:
    <span class="hljs-string">&#x27;The tower is 324 metres (1,063 ft) tall, about the same height as an 81-storey building, and the tallest structure in Paris. Its base is square, measuring 125 metres (410 ft) on each side. During its construction, the Eiffel Tower surpassed the Washington Monument to become the tallest man-made structure in the world, a title it held for 41 years until the Chrysler Building in New York City was finished in 1930.&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">max_length</span>: <span class="hljs-number">100</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">questionAnswering</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;deepset/roberta-base-squad2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">question</span>: <span class="hljs-string">&#x27;What is the capital of France?&#x27;</span>,
    <span class="hljs-attr">context</span>: <span class="hljs-string">&#x27;The capital of France is Paris.&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tableQuestionAnswering</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/tapas-base-finetuned-wtq&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">query</span>: <span class="hljs-string">&#x27;How many stars does the transformers repository have?&#x27;</span>,
    <span class="hljs-attr">table</span>: {
      <span class="hljs-title class_">Repository</span>: [<span class="hljs-string">&#x27;Transformers&#x27;</span>, <span class="hljs-string">&#x27;Datasets&#x27;</span>, <span class="hljs-string">&#x27;Tokenizers&#x27;</span>],
      <span class="hljs-title class_">Stars</span>: [<span class="hljs-string">&#x27;36542&#x27;</span>, <span class="hljs-string">&#x27;4512&#x27;</span>, <span class="hljs-string">&#x27;3934&#x27;</span>],
      <span class="hljs-title class_">Contributors</span>: [<span class="hljs-string">&#x27;651&#x27;</span>, <span class="hljs-string">&#x27;77&#x27;</span>, <span class="hljs-string">&#x27;34&#x27;</span>],
      <span class="hljs-string">&#x27;Programming language&#x27;</span>: [<span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Python&#x27;</span>, <span class="hljs-string">&#x27;Rust, Python and NodeJS&#x27;</span>]
    }
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;distilbert-base-uncased-finetuned-sst-2-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;I like you. I love you.&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textGeneration</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;gpt2&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>
})

<span class="hljs-keyword">for</span> <span class="hljs-keyword">await</span> (<span class="hljs-keyword">const</span> output <span class="hljs-keyword">of</span> hf.<span class="hljs-title function_">textGenerationStream</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&quot;google/flan-t5-xxl&quot;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;repeat &quot;one two three four&quot;&#x27;</span>,
  <span class="hljs-attr">parameters</span>: { <span class="hljs-attr">max_new_tokens</span>: <span class="hljs-number">250</span> }
})) {
  <span class="hljs-variable language_">console</span>.<span class="hljs-title function_">log</span>(output.<span class="hljs-property">token</span>.<span class="hljs-property">text</span>, output.<span class="hljs-property">generated_text</span>);
}

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">tokenClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;dbmdz/bert-large-cased-finetuned-conll03-english&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Sarah Jessica Parker but you can call me Jessica&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">translation</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;t5-base&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;My name is Wolfgang and I live in Berlin&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">zeroShotClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/bart-large-mnli&#x27;</span>,
  <span class="hljs-attr">inputs</span>: [
    <span class="hljs-string">&#x27;Hi, I recently bought a device from your company but it is not working as advertised and I would like to get reimbursed!&#x27;</span>
  ],
  <span class="hljs-attr">parameters</span>: { <span class="hljs-attr">candidate_labels</span>: [<span class="hljs-string">&#x27;refund&#x27;</span>, <span class="hljs-string">&#x27;legal&#x27;</span>, <span class="hljs-string">&#x27;faq&#x27;</span>] }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">conversational</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;microsoft/DialoGPT-large&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">past_user_inputs</span>: [<span class="hljs-string">&#x27;Which movie is the best ?&#x27;</span>],
    <span class="hljs-attr">generated_responses</span>: [<span class="hljs-string">&#x27;It is Die Hard for sure.&#x27;</span>],
    <span class="hljs-attr">text</span>: <span class="hljs-string">&#x27;Can you explain why ?&#x27;</span>
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">sentenceSimilarity</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;sentence-transformers/paraphrase-xlm-r-multilingual-v1&#x27;</span>,
  <span class="hljs-attr">inputs</span>: {
    <span class="hljs-attr">source_sentence</span>: <span class="hljs-string">&#x27;That is a happy person&#x27;</span>,
    <span class="hljs-attr">sentences</span>: [
      <span class="hljs-string">&#x27;That is a happy dog&#x27;</span>,
      <span class="hljs-string">&#x27;That is a very happy person&#x27;</span>,
      <span class="hljs-string">&#x27;Today is a sunny day&#x27;</span>
    ]
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">featureExtraction</span>({
    <span class="hljs-attr">model</span>: <span class="hljs-string">&quot;sentence-transformers/distilbert-base-nli-mean-tokens&quot;</span>,
    <span class="hljs-attr">inputs</span>: <span class="hljs-string">&quot;That is a happy person&quot;</span>,
});

<span class="hljs-comment">// Audio</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">automaticSpeechRecognition</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/wav2vec2-large-960h-lv60-self&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">audioClassification</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;superb/hubert-large-superb-er&#x27;</span>,
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/sample1.flac&#x27;</span>)
})

<span class="hljs-comment">// Computer Vision</span>

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageClassification</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cheetah.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;google/vit-base-patch16-224&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">objectDetection</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageSegmentation</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;facebook/detr-resnet-50-panoptic&#x27;</span>
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">textToImage</span>({
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;award winning high resolution photo of a giant tortoise/((ladybird)) hybrid, [trending on artstation]&#x27;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;stabilityai/stable-diffusion-2&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">negative_prompt</span>: <span class="hljs-string">&#x27;blurry&#x27;</span>,
  }
})

<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">imageToText</span>({
  <span class="hljs-attr">data</span>: <span class="hljs-title function_">readFileSync</span>(<span class="hljs-string">&#x27;test/cats.png&#x27;</span>),
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;nlpconnect/vit-gpt2-image-captioning&#x27;</span>
})

<span class="hljs-comment">// Custom call, for models with custom parameters / outputs</span>
<span class="hljs-keyword">await</span> hf.<span class="hljs-title function_">request</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;my-custom-model&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;hello world&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">custom_param</span>: <span class="hljs-string">&#x27;some magic&#x27;</span>,
  }
})

<span class="hljs-comment">// Custom streaming call, for models with custom parameters / outputs</span>
<span class="hljs-keyword">for</span> <span class="hljs-keyword">await</span> (<span class="hljs-keyword">const</span> output <span class="hljs-keyword">of</span> hf.<span class="hljs-title function_">streamingRequest</span>({
  <span class="hljs-attr">model</span>: <span class="hljs-string">&#x27;my-custom-model&#x27;</span>,
  <span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;hello world&#x27;</span>,
  <span class="hljs-attr">parameters</span>: {
    <span class="hljs-attr">custom_param</span>: <span class="hljs-string">&#x27;some magic&#x27;</span>,
  }
})) {
  ...
}

<span class="hljs-comment">// Using your own inference endpoint: https://hf.co/docs/inference-endpoints/</span>
<span class="hljs-keyword">const</span> gpt2 = hf.<span class="hljs-title function_">endpoint</span>(<span class="hljs-string">&#x27;https://xyz.eu-west-1.aws.endpoints.huggingface.cloud/gpt2&#x27;</span>);
<span class="hljs-keyword">const</span> { generated_text } = <span class="hljs-keyword">await</span> gpt2.<span class="hljs-title function_">textGeneration</span>({<span class="hljs-attr">inputs</span>: <span class="hljs-string">&#x27;The answer to the universe is&#x27;</span>});`}}),us=new b({}),fs=new b({}),Ts=new b({}),As=new b({}),Hs=new b({}),Us=new It({props:{code:`import {textGeneration} from "@huggingface/inference";

await textGeneration({
  accessToken: "hf_...",
  model: "model_or_endpoint",
  inputs: ...,
  parameters: ...
})`,highlighted:`<span class="hljs-keyword">import</span> {textGeneration} <span class="hljs-keyword">from</span> <span class="hljs-string">&quot;@huggingface/inference&quot;</span>;

<span class="hljs-keyword">await</span> <span class="hljs-title function_">textGeneration</span>({
  <span class="hljs-attr">accessToken</span>: <span class="hljs-string">&quot;hf_...&quot;</span>,
  <span class="hljs-attr">model</span>: <span class="hljs-string">&quot;model_or_endpoint&quot;</span>,
  <span class="hljs-attr">inputs</span>: ...,
  <span class="hljs-attr">parameters</span>: ...
})`}}),Ms=new b({}),Gs=new It({props:{code:'HF_ACCESS_TOKEN="your access token" npm run test',highlighted:"HF_ACCESS_TOKEN=&quot;your access token&quot; npm run test"}}),Rs=new b({}),{c(){T=a("meta"),Ge=c(),P=a("h1"),R=a("a"),ge=a("span"),m(ss.$$.fragment),Tt=c(),me=a("span"),Pt=i("\u{1F917} Hugging Face Inference API"),Re=c(),_=a("p"),St=i("A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),es=a("a"),At=i("Hugging Face"),Nt=i(". It also works with "),ts=a("a"),qt=i("Inference Endpoints"),Ct=i("."),ze=c(),$=a("p"),Lt=i("You can also try out a live "),as=a("a"),Ft=i("interactive notebook"),Ht=i(" or see some demos on "),ns=a("a"),Ut=i("hf.co/huggingfacejs"),Mt=i("."),De=c(),S=a("h2"),z=a("a"),we=a("span"),m(ls.$$.fragment),Gt=c(),xe=a("span"),Rt=i("Install"),We=c(),m(rs.$$.fragment),Be=c(),A=a("h2"),D=a("a"),ye=a("span"),m(is.$$.fragment),zt=c(),je=a("span"),Dt=i("Usage"),Je=c(),k=a("p"),Wt=i("\u2757"),ve=a("strong"),Bt=i("Important note:"),Jt=i(" Using an access token is optional to get started, however you will be rate limited eventually. Join "),os=a("a"),Ot=i("Hugging Face"),Yt=i(" and then visit "),ps=a("a"),Vt=i("access tokens"),Kt=i(" to generate your access token for "),ke=a("strong"),Qt=i("free"),Zt=i("."),Oe=c(),Ds=a("p"),Xt=i("Your access token should be kept private. If you need to protect it in front-end applications, we suggest setting up a proxy server that stores the access token."),Ye=c(),N=a("h3"),W=a("a"),be=a("span"),m(cs.$$.fragment),sa=c(),_e=a("span"),ea=i("Basic examples"),Ve=c(),m(hs.$$.fragment),Ke=c(),q=a("h2"),B=a("a"),$e=a("span"),m(us.$$.fragment),ta=c(),Ee=a("span"),aa=i("Supported Tasks"),Qe=c(),C=a("h3"),J=a("a"),Ie=a("span"),m(fs.$$.fragment),na=c(),Te=a("span"),la=i("Natural Language Processing"),Ze=c(),f=a("ul"),ds=a("li"),Ws=a("input"),ra=i(" Fill mask"),ia=c(),gs=a("li"),Bs=a("input"),oa=i(" Summarization"),pa=c(),ms=a("li"),Js=a("input"),ca=i(" Question answering"),ha=c(),ws=a("li"),Os=a("input"),ua=i(" Table question answering"),fa=c(),xs=a("li"),Ys=a("input"),da=i(" Text classification"),ga=c(),ys=a("li"),Vs=a("input"),ma=i(" Text generation"),wa=c(),js=a("li"),Ks=a("input"),xa=i(" Text2Text generation"),ya=c(),vs=a("li"),Qs=a("input"),ja=i(" Token classification"),va=c(),ks=a("li"),Zs=a("input"),ka=i(" Named entity recognition"),ba=c(),bs=a("li"),Xs=a("input"),_a=i(" Translation"),$a=c(),_s=a("li"),se=a("input"),Ea=i(" Zero-shot classification"),Ia=c(),$s=a("li"),ee=a("input"),Ta=i(" Conversational"),Pa=c(),Es=a("li"),te=a("input"),Sa=i(" Feature extraction"),Aa=c(),Is=a("li"),ae=a("input"),Na=i(" Sentence Similarity"),Xe=c(),L=a("h3"),O=a("a"),Pe=a("span"),m(Ts.$$.fragment),qa=c(),Se=a("span"),Ca=i("Audio"),st=c(),F=a("ul"),Ps=a("li"),ne=a("input"),La=i(" Automatic speech recognition"),Fa=c(),Ss=a("li"),le=a("input"),Ha=i(" Audio classification"),et=c(),H=a("h3"),Y=a("a"),Ae=a("span"),m(As.$$.fragment),Ua=c(),Ne=a("span"),Ma=i("Computer Vision"),tt=c(),g=a("ul"),Ns=a("li"),re=a("input"),Ga=i(" Image classification"),Ra=c(),qs=a("li"),ie=a("input"),za=i(" Object detection"),Da=c(),Cs=a("li"),oe=a("input"),Wa=i(" Image segmentation"),Ba=c(),Ls=a("li"),pe=a("input"),Ja=i(" Text to image"),Oa=c(),Fs=a("li"),ce=a("input"),Ya=i(" Image to text"),at=c(),U=a("h2"),V=a("a"),qe=a("span"),m(Hs.$$.fragment),Va=c(),Ce=a("span"),Ka=i("Tree-shaking"),nt=c(),K=a("p"),Qa=i("You can import the functions you need directly from the module, rather than using the "),Le=a("code"),Za=i("HfInference"),Xa=i(" class:"),lt=c(),m(Us.$$.fragment),rt=c(),he=a("p"),sn=i("This will enable tree-shaking by your bundler."),it=c(),M=a("h2"),Q=a("a"),Fe=a("span"),m(Ms.$$.fragment),en=c(),He=a("span"),tn=i("Running tests"),ot=c(),m(Gs.$$.fragment),pt=c(),G=a("h2"),Z=a("a"),Ue=a("span"),m(Rs.$$.fragment),an=c(),Me=a("span"),nn=i("Finding appropriate models"),ct=c(),X=a("p"),ln=i("We have an informative documentation project called "),zs=a("a"),rn=i("Tasks"),on=i(" to list available models for each task and explain how each task works in detail."),ht=c(),ue=a("p"),pn=i("It also contains demos, example outputs, and other resources should you want to dig deeper into the ML side of things."),this.h()},l(s){const p=Il('[data-svelte="svelte-1phssyn"]',document.head);T=n(p,"META",{name:!0,content:!0}),p.forEach(t),Ge=h(s),P=n(s,"H1",{class:!0});var ft=r(P);R=n(ft,"A",{id:!0,class:!0,href:!0});var Nn=r(R);ge=n(Nn,"SPAN",{});var qn=r(ge);w(ss.$$.fragment,qn),qn.forEach(t),Nn.forEach(t),Tt=h(ft),me=n(ft,"SPAN",{});var Cn=r(me);Pt=o(Cn,"\u{1F917} Hugging Face Inference API"),Cn.forEach(t),ft.forEach(t),Re=h(s),_=n(s,"P",{});var fe=r(_);St=o(fe,"A Typescript powered wrapper for the Hugging Face Inference API. Learn more about the Inference API at "),es=n(fe,"A",{href:!0,rel:!0});var Ln=r(es);At=o(Ln,"Hugging Face"),Ln.forEach(t),Nt=o(fe,". It also works with "),ts=n(fe,"A",{href:!0,rel:!0});var Fn=r(ts);qt=o(Fn,"Inference Endpoints"),Fn.forEach(t),Ct=o(fe,"."),fe.forEach(t),ze=h(s),$=n(s,"P",{});var de=r($);Lt=o(de,"You can also try out a live "),as=n(de,"A",{href:!0,rel:!0});var Hn=r(as);Ft=o(Hn,"interactive notebook"),Hn.forEach(t),Ht=o(de," or see some demos on "),ns=n(de,"A",{href:!0,rel:!0});var Un=r(ns);Ut=o(Un,"hf.co/huggingfacejs"),Un.forEach(t),Mt=o(de,"."),de.forEach(t),De=h(s),S=n(s,"H2",{class:!0});var dt=r(S);z=n(dt,"A",{id:!0,class:!0,href:!0});var Mn=r(z);we=n(Mn,"SPAN",{});var Gn=r(we);w(ls.$$.fragment,Gn),Gn.forEach(t),Mn.forEach(t),Gt=h(dt),xe=n(dt,"SPAN",{});var Rn=r(xe);Rt=o(Rn,"Install"),Rn.forEach(t),dt.forEach(t),We=h(s),w(rs.$$.fragment,s),Be=h(s),A=n(s,"H2",{class:!0});var gt=r(A);D=n(gt,"A",{id:!0,class:!0,href:!0});var zn=r(D);ye=n(zn,"SPAN",{});var Dn=r(ye);w(is.$$.fragment,Dn),Dn.forEach(t),zn.forEach(t),zt=h(gt),je=n(gt,"SPAN",{});var Wn=r(je);Dt=o(Wn,"Usage"),Wn.forEach(t),gt.forEach(t),Je=h(s),k=n(s,"P",{});var E=r(k);Wt=o(E,"\u2757"),ve=n(E,"STRONG",{});var Bn=r(ve);Bt=o(Bn,"Important note:"),Bn.forEach(t),Jt=o(E," Using an access token is optional to get started, however you will be rate limited eventually. Join "),os=n(E,"A",{href:!0,rel:!0});var Jn=r(os);Ot=o(Jn,"Hugging Face"),Jn.forEach(t),Yt=o(E," and then visit "),ps=n(E,"A",{href:!0,rel:!0});var On=r(ps);Vt=o(On,"access tokens"),On.forEach(t),Kt=o(E," to generate your access token for "),ke=n(E,"STRONG",{});var Yn=r(ke);Qt=o(Yn,"free"),Yn.forEach(t),Zt=o(E,"."),E.forEach(t),Oe=h(s),Ds=n(s,"P",{});var Vn=r(Ds);Xt=o(Vn,"Your access token should be kept private. If you need to protect it in front-end applications, we suggest setting up a proxy server that stores the access token."),Vn.forEach(t),Ye=h(s),N=n(s,"H3",{class:!0});var mt=r(N);W=n(mt,"A",{id:!0,class:!0,href:!0});var Kn=r(W);be=n(Kn,"SPAN",{});var Qn=r(be);w(cs.$$.fragment,Qn),Qn.forEach(t),Kn.forEach(t),sa=h(mt),_e=n(mt,"SPAN",{});var Zn=r(_e);ea=o(Zn,"Basic examples"),Zn.forEach(t),mt.forEach(t),Ve=h(s),w(hs.$$.fragment,s),Ke=h(s),q=n(s,"H2",{class:!0});var wt=r(q);B=n(wt,"A",{id:!0,class:!0,href:!0});var Xn=r(B);$e=n(Xn,"SPAN",{});var sl=r($e);w(us.$$.fragment,sl),sl.forEach(t),Xn.forEach(t),ta=h(wt),Ee=n(wt,"SPAN",{});var el=r(Ee);aa=o(el,"Supported Tasks"),el.forEach(t),wt.forEach(t),Qe=h(s),C=n(s,"H3",{class:!0});var xt=r(C);J=n(xt,"A",{id:!0,class:!0,href:!0});var tl=r(J);Ie=n(tl,"SPAN",{});var al=r(Ie);w(fs.$$.fragment,al),al.forEach(t),tl.forEach(t),na=h(xt),Te=n(xt,"SPAN",{});var nl=r(Te);la=o(nl,"Natural Language Processing"),nl.forEach(t),xt.forEach(t),Ze=h(s),f=n(s,"UL",{class:!0});var d=r(f);ds=n(d,"LI",{class:!0});var cn=r(ds);Ws=n(cn,"INPUT",{type:!0}),ra=o(cn," Fill mask"),cn.forEach(t),ia=h(d),gs=n(d,"LI",{class:!0});var hn=r(gs);Bs=n(hn,"INPUT",{type:!0}),oa=o(hn," Summarization"),hn.forEach(t),pa=h(d),ms=n(d,"LI",{class:!0});var un=r(ms);Js=n(un,"INPUT",{type:!0}),ca=o(un," Question answering"),un.forEach(t),ha=h(d),ws=n(d,"LI",{class:!0});var fn=r(ws);Os=n(fn,"INPUT",{type:!0}),ua=o(fn," Table question answering"),fn.forEach(t),fa=h(d),xs=n(d,"LI",{class:!0});var dn=r(xs);Ys=n(dn,"INPUT",{type:!0}),da=o(dn," Text classification"),dn.forEach(t),ga=h(d),ys=n(d,"LI",{class:!0});var gn=r(ys);Vs=n(gn,"INPUT",{type:!0}),ma=o(gn," Text generation"),gn.forEach(t),wa=h(d),js=n(d,"LI",{class:!0});var mn=r(js);Ks=n(mn,"INPUT",{type:!0}),xa=o(mn," Text2Text generation"),mn.forEach(t),ya=h(d),vs=n(d,"LI",{class:!0});var wn=r(vs);Qs=n(wn,"INPUT",{type:!0}),ja=o(wn," Token classification"),wn.forEach(t),va=h(d),ks=n(d,"LI",{class:!0});var xn=r(ks);Zs=n(xn,"INPUT",{type:!0}),ka=o(xn," Named entity recognition"),xn.forEach(t),ba=h(d),bs=n(d,"LI",{class:!0});var yn=r(bs);Xs=n(yn,"INPUT",{type:!0}),_a=o(yn," Translation"),yn.forEach(t),$a=h(d),_s=n(d,"LI",{class:!0});var jn=r(_s);se=n(jn,"INPUT",{type:!0}),Ea=o(jn," Zero-shot classification"),jn.forEach(t),Ia=h(d),$s=n(d,"LI",{class:!0});var vn=r($s);ee=n(vn,"INPUT",{type:!0}),Ta=o(vn," Conversational"),vn.forEach(t),Pa=h(d),Es=n(d,"LI",{class:!0});var kn=r(Es);te=n(kn,"INPUT",{type:!0}),Sa=o(kn," Feature extraction"),kn.forEach(t),Aa=h(d),Is=n(d,"LI",{class:!0});var bn=r(Is);ae=n(bn,"INPUT",{type:!0}),Na=o(bn," Sentence Similarity"),bn.forEach(t),d.forEach(t),Xe=h(s),L=n(s,"H3",{class:!0});var yt=r(L);O=n(yt,"A",{id:!0,class:!0,href:!0});var ll=r(O);Pe=n(ll,"SPAN",{});var rl=r(Pe);w(Ts.$$.fragment,rl),rl.forEach(t),ll.forEach(t),qa=h(yt),Se=n(yt,"SPAN",{});var il=r(Se);Ca=o(il,"Audio"),il.forEach(t),yt.forEach(t),st=h(s),F=n(s,"UL",{class:!0});var jt=r(F);Ps=n(jt,"LI",{class:!0});var _n=r(Ps);ne=n(_n,"INPUT",{type:!0}),La=o(_n," Automatic speech recognition"),_n.forEach(t),Fa=h(jt),Ss=n(jt,"LI",{class:!0});var $n=r(Ss);le=n($n,"INPUT",{type:!0}),Ha=o($n," Audio classification"),$n.forEach(t),jt.forEach(t),et=h(s),H=n(s,"H3",{class:!0});var vt=r(H);Y=n(vt,"A",{id:!0,class:!0,href:!0});var ol=r(Y);Ae=n(ol,"SPAN",{});var pl=r(Ae);w(As.$$.fragment,pl),pl.forEach(t),ol.forEach(t),Ua=h(vt),Ne=n(vt,"SPAN",{});var cl=r(Ne);Ma=o(cl,"Computer Vision"),cl.forEach(t),vt.forEach(t),tt=h(s),g=n(s,"UL",{class:!0});var I=r(g);Ns=n(I,"LI",{class:!0});var En=r(Ns);re=n(En,"INPUT",{type:!0}),Ga=o(En," Image classification"),En.forEach(t),Ra=h(I),qs=n(I,"LI",{class:!0});var In=r(qs);ie=n(In,"INPUT",{type:!0}),za=o(In," Object detection"),In.forEach(t),Da=h(I),Cs=n(I,"LI",{class:!0});var Tn=r(Cs);oe=n(Tn,"INPUT",{type:!0}),Wa=o(Tn," Image segmentation"),Tn.forEach(t),Ba=h(I),Ls=n(I,"LI",{class:!0});var Pn=r(Ls);pe=n(Pn,"INPUT",{type:!0}),Ja=o(Pn," Text to image"),Pn.forEach(t),Oa=h(I),Fs=n(I,"LI",{class:!0});var Sn=r(Fs);ce=n(Sn,"INPUT",{type:!0}),Ya=o(Sn," Image to text"),Sn.forEach(t),I.forEach(t),at=h(s),U=n(s,"H2",{class:!0});var kt=r(U);V=n(kt,"A",{id:!0,class:!0,href:!0});var hl=r(V);qe=n(hl,"SPAN",{});var ul=r(qe);w(Hs.$$.fragment,ul),ul.forEach(t),hl.forEach(t),Va=h(kt),Ce=n(kt,"SPAN",{});var fl=r(Ce);Ka=o(fl,"Tree-shaking"),fl.forEach(t),kt.forEach(t),nt=h(s),K=n(s,"P",{});var bt=r(K);Qa=o(bt,"You can import the functions you need directly from the module, rather than using the "),Le=n(bt,"CODE",{});var dl=r(Le);Za=o(dl,"HfInference"),dl.forEach(t),Xa=o(bt," class:"),bt.forEach(t),lt=h(s),w(Us.$$.fragment,s),rt=h(s),he=n(s,"P",{});var gl=r(he);sn=o(gl,"This will enable tree-shaking by your bundler."),gl.forEach(t),it=h(s),M=n(s,"H2",{class:!0});var _t=r(M);Q=n(_t,"A",{id:!0,class:!0,href:!0});var ml=r(Q);Fe=n(ml,"SPAN",{});var wl=r(Fe);w(Ms.$$.fragment,wl),wl.forEach(t),ml.forEach(t),en=h(_t),He=n(_t,"SPAN",{});var xl=r(He);tn=o(xl,"Running tests"),xl.forEach(t),_t.forEach(t),ot=h(s),w(Gs.$$.fragment,s),pt=h(s),G=n(s,"H2",{class:!0});var $t=r(G);Z=n($t,"A",{id:!0,class:!0,href:!0});var yl=r(Z);Ue=n(yl,"SPAN",{});var jl=r(Ue);w(Rs.$$.fragment,jl),jl.forEach(t),yl.forEach(t),an=h($t),Me=n($t,"SPAN",{});var vl=r(Me);nn=o(vl,"Finding appropriate models"),vl.forEach(t),$t.forEach(t),ct=h(s),X=n(s,"P",{});var Et=r(X);ln=o(Et,"We have an informative documentation project called "),zs=n(Et,"A",{href:!0,rel:!0});var kl=r(zs);rn=o(kl,"Tasks"),kl.forEach(t),on=o(Et," to list available models for each task and explain how each task works in detail."),Et.forEach(t),ht=h(s),ue=n(s,"P",{});var bl=r(ue);pn=o(bl,"It also contains demos, example outputs, and other resources should you want to dig deeper into the ML side of things."),bl.forEach(t),this.h()},h(){l(T,"name","hf:doc:metadata"),l(T,"content",JSON.stringify(Al)),l(R,"id","hugging-face-inference-api"),l(R,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(R,"href","#hugging-face-inference-api"),l(P,"class","relative group"),l(es,"href","https://huggingface.co/docs/api-inference/index"),l(es,"rel","nofollow"),l(ts,"href","https://huggingface.co/docs/inference-endpoints/index"),l(ts,"rel","nofollow"),l(as,"href","https://observablehq.com/@huggingface/hello-huggingface-js-inference"),l(as,"rel","nofollow"),l(ns,"href","https://huggingface.co/huggingfacejs"),l(ns,"rel","nofollow"),l(z,"id","install"),l(z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(z,"href","#install"),l(S,"class","relative group"),l(D,"id","usage"),l(D,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(D,"href","#usage"),l(A,"class","relative group"),l(os,"href","https://huggingface.co/join"),l(os,"rel","nofollow"),l(ps,"href","https://huggingface.co/settings/tokens"),l(ps,"rel","nofollow"),l(W,"id","basic-examples"),l(W,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(W,"href","#basic-examples"),l(N,"class","relative group"),l(B,"id","supported-tasks"),l(B,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(B,"href","#supported-tasks"),l(q,"class","relative group"),l(J,"id","natural-language-processing"),l(J,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(J,"href","#natural-language-processing"),l(C,"class","relative group"),l(Ws,"type","checkbox"),Ws.checked=!0,Ws.disabled=!0,l(ds,"class","task-list-item"),l(Bs,"type","checkbox"),Bs.checked=!0,Bs.disabled=!0,l(gs,"class","task-list-item"),l(Js,"type","checkbox"),Js.checked=!0,Js.disabled=!0,l(ms,"class","task-list-item"),l(Os,"type","checkbox"),Os.checked=!0,Os.disabled=!0,l(ws,"class","task-list-item"),l(Ys,"type","checkbox"),Ys.checked=!0,Ys.disabled=!0,l(xs,"class","task-list-item"),l(Vs,"type","checkbox"),Vs.checked=!0,Vs.disabled=!0,l(ys,"class","task-list-item"),l(Ks,"type","checkbox"),Ks.checked=!0,Ks.disabled=!0,l(js,"class","task-list-item"),l(Qs,"type","checkbox"),Qs.checked=!0,Qs.disabled=!0,l(vs,"class","task-list-item"),l(Zs,"type","checkbox"),Zs.checked=!0,Zs.disabled=!0,l(ks,"class","task-list-item"),l(Xs,"type","checkbox"),Xs.checked=!0,Xs.disabled=!0,l(bs,"class","task-list-item"),l(se,"type","checkbox"),se.checked=!0,se.disabled=!0,l(_s,"class","task-list-item"),l(ee,"type","checkbox"),ee.checked=!0,ee.disabled=!0,l($s,"class","task-list-item"),l(te,"type","checkbox"),te.checked=!0,te.disabled=!0,l(Es,"class","task-list-item"),l(ae,"type","checkbox"),ae.checked=!0,ae.disabled=!0,l(Is,"class","task-list-item"),l(f,"class","contains-task-list"),l(O,"id","audio"),l(O,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(O,"href","#audio"),l(L,"class","relative group"),l(ne,"type","checkbox"),ne.checked=!0,ne.disabled=!0,l(Ps,"class","task-list-item"),l(le,"type","checkbox"),le.checked=!0,le.disabled=!0,l(Ss,"class","task-list-item"),l(F,"class","contains-task-list"),l(Y,"id","computer-vision"),l(Y,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Y,"href","#computer-vision"),l(H,"class","relative group"),l(re,"type","checkbox"),re.checked=!0,re.disabled=!0,l(Ns,"class","task-list-item"),l(ie,"type","checkbox"),ie.checked=!0,ie.disabled=!0,l(qs,"class","task-list-item"),l(oe,"type","checkbox"),oe.checked=!0,oe.disabled=!0,l(Cs,"class","task-list-item"),l(pe,"type","checkbox"),pe.checked=!0,pe.disabled=!0,l(Ls,"class","task-list-item"),l(ce,"type","checkbox"),ce.checked=!0,ce.disabled=!0,l(Fs,"class","task-list-item"),l(g,"class","contains-task-list"),l(V,"id","treeshaking"),l(V,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(V,"href","#treeshaking"),l(U,"class","relative group"),l(Q,"id","running-tests"),l(Q,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Q,"href","#running-tests"),l(M,"class","relative group"),l(Z,"id","finding-appropriate-models"),l(Z,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(Z,"href","#finding-appropriate-models"),l(G,"class","relative group"),l(zs,"href","https://huggingface.co/tasks"),l(zs,"rel","nofollow")},m(s,p){e(document.head,T),u(s,Ge,p),u(s,P,p),e(P,R),e(R,ge),x(ss,ge,null),e(P,Tt),e(P,me),e(me,Pt),u(s,Re,p),u(s,_,p),e(_,St),e(_,es),e(es,At),e(_,Nt),e(_,ts),e(ts,qt),e(_,Ct),u(s,ze,p),u(s,$,p),e($,Lt),e($,as),e(as,Ft),e($,Ht),e($,ns),e(ns,Ut),e($,Mt),u(s,De,p),u(s,S,p),e(S,z),e(z,we),x(ls,we,null),e(S,Gt),e(S,xe),e(xe,Rt),u(s,We,p),x(rs,s,p),u(s,Be,p),u(s,A,p),e(A,D),e(D,ye),x(is,ye,null),e(A,zt),e(A,je),e(je,Dt),u(s,Je,p),u(s,k,p),e(k,Wt),e(k,ve),e(ve,Bt),e(k,Jt),e(k,os),e(os,Ot),e(k,Yt),e(k,ps),e(ps,Vt),e(k,Kt),e(k,ke),e(ke,Qt),e(k,Zt),u(s,Oe,p),u(s,Ds,p),e(Ds,Xt),u(s,Ye,p),u(s,N,p),e(N,W),e(W,be),x(cs,be,null),e(N,sa),e(N,_e),e(_e,ea),u(s,Ve,p),x(hs,s,p),u(s,Ke,p),u(s,q,p),e(q,B),e(B,$e),x(us,$e,null),e(q,ta),e(q,Ee),e(Ee,aa),u(s,Qe,p),u(s,C,p),e(C,J),e(J,Ie),x(fs,Ie,null),e(C,na),e(C,Te),e(Te,la),u(s,Ze,p),u(s,f,p),e(f,ds),e(ds,Ws),e(ds,ra),e(f,ia),e(f,gs),e(gs,Bs),e(gs,oa),e(f,pa),e(f,ms),e(ms,Js),e(ms,ca),e(f,ha),e(f,ws),e(ws,Os),e(ws,ua),e(f,fa),e(f,xs),e(xs,Ys),e(xs,da),e(f,ga),e(f,ys),e(ys,Vs),e(ys,ma),e(f,wa),e(f,js),e(js,Ks),e(js,xa),e(f,ya),e(f,vs),e(vs,Qs),e(vs,ja),e(f,va),e(f,ks),e(ks,Zs),e(ks,ka),e(f,ba),e(f,bs),e(bs,Xs),e(bs,_a),e(f,$a),e(f,_s),e(_s,se),e(_s,Ea),e(f,Ia),e(f,$s),e($s,ee),e($s,Ta),e(f,Pa),e(f,Es),e(Es,te),e(Es,Sa),e(f,Aa),e(f,Is),e(Is,ae),e(Is,Na),u(s,Xe,p),u(s,L,p),e(L,O),e(O,Pe),x(Ts,Pe,null),e(L,qa),e(L,Se),e(Se,Ca),u(s,st,p),u(s,F,p),e(F,Ps),e(Ps,ne),e(Ps,La),e(F,Fa),e(F,Ss),e(Ss,le),e(Ss,Ha),u(s,et,p),u(s,H,p),e(H,Y),e(Y,Ae),x(As,Ae,null),e(H,Ua),e(H,Ne),e(Ne,Ma),u(s,tt,p),u(s,g,p),e(g,Ns),e(Ns,re),e(Ns,Ga),e(g,Ra),e(g,qs),e(qs,ie),e(qs,za),e(g,Da),e(g,Cs),e(Cs,oe),e(Cs,Wa),e(g,Ba),e(g,Ls),e(Ls,pe),e(Ls,Ja),e(g,Oa),e(g,Fs),e(Fs,ce),e(Fs,Ya),u(s,at,p),u(s,U,p),e(U,V),e(V,qe),x(Hs,qe,null),e(U,Va),e(U,Ce),e(Ce,Ka),u(s,nt,p),u(s,K,p),e(K,Qa),e(K,Le),e(Le,Za),e(K,Xa),u(s,lt,p),x(Us,s,p),u(s,rt,p),u(s,he,p),e(he,sn),u(s,it,p),u(s,M,p),e(M,Q),e(Q,Fe),x(Ms,Fe,null),e(M,en),e(M,He),e(He,tn),u(s,ot,p),x(Gs,s,p),u(s,pt,p),u(s,G,p),e(G,Z),e(Z,Ue),x(Rs,Ue,null),e(G,an),e(G,Me),e(Me,nn),u(s,ct,p),u(s,X,p),e(X,ln),e(X,zs),e(zs,rn),e(X,on),u(s,ht,p),u(s,ue,p),e(ue,pn),ut=!0},p:Tl,i(s){ut||(y(ss.$$.fragment,s),y(ls.$$.fragment,s),y(rs.$$.fragment,s),y(is.$$.fragment,s),y(cs.$$.fragment,s),y(hs.$$.fragment,s),y(us.$$.fragment,s),y(fs.$$.fragment,s),y(Ts.$$.fragment,s),y(As.$$.fragment,s),y(Hs.$$.fragment,s),y(Us.$$.fragment,s),y(Ms.$$.fragment,s),y(Gs.$$.fragment,s),y(Rs.$$.fragment,s),ut=!0)},o(s){j(ss.$$.fragment,s),j(ls.$$.fragment,s),j(rs.$$.fragment,s),j(is.$$.fragment,s),j(cs.$$.fragment,s),j(hs.$$.fragment,s),j(us.$$.fragment,s),j(fs.$$.fragment,s),j(Ts.$$.fragment,s),j(As.$$.fragment,s),j(Hs.$$.fragment,s),j(Us.$$.fragment,s),j(Ms.$$.fragment,s),j(Gs.$$.fragment,s),j(Rs.$$.fragment,s),ut=!1},d(s){t(T),s&&t(Ge),s&&t(P),v(ss),s&&t(Re),s&&t(_),s&&t(ze),s&&t($),s&&t(De),s&&t(S),v(ls),s&&t(We),v(rs,s),s&&t(Be),s&&t(A),v(is),s&&t(Je),s&&t(k),s&&t(Oe),s&&t(Ds),s&&t(Ye),s&&t(N),v(cs),s&&t(Ve),v(hs,s),s&&t(Ke),s&&t(q),v(us),s&&t(Qe),s&&t(C),v(fs),s&&t(Ze),s&&t(f),s&&t(Xe),s&&t(L),v(Ts),s&&t(st),s&&t(F),s&&t(et),s&&t(H),v(As),s&&t(tt),s&&t(g),s&&t(at),s&&t(U),v(Hs),s&&t(nt),s&&t(K),s&&t(lt),v(Us,s),s&&t(rt),s&&t(he),s&&t(it),s&&t(M),v(Ms),s&&t(ot),v(Gs,s),s&&t(pt),s&&t(G),v(Rs),s&&t(ct),s&&t(X),s&&t(ht),s&&t(ue)}}}const Al={local:"hugging-face-inference-api",sections:[{local:"install",title:"Install"},{local:"usage",sections:[{local:"basic-examples",title:"Basic examples"}],title:"Usage"},{local:"supported-tasks",sections:[{local:"natural-language-processing",title:"Natural Language Processing"},{local:"audio",title:"Audio"},{local:"computer-vision",title:"Computer Vision"}],title:"Supported Tasks"},{local:"treeshaking",title:"Tree-shaking"},{local:"running-tests",title:"Running tests"},{local:"finding-appropriate-models",title:"Finding appropriate models"}],title:"\u{1F917} Hugging Face Inference API"};function Nl(An){return Pl(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Fl extends _l{constructor(T){super();$l(this,T,Nl,Sl,El,{})}}export{Fl as default,Al as metadata};
